Credits
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits?%7B%7Bkey%7D%7D=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits?%7B%7Bkey%7D%7D="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits?%7B%7Bkey%7D%7D=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits?%7B%7Bkey%7D%7D=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"cast": [
{
"adult": false,
"character": "Leroy Jethro Gibbs",
"credit_id": "525776cd760ee36aaa5303ba",
"gender": 2,
"id": 19728,
"known_for_department": "Acting",
"name": "Mark Harmon",
"order": 0,
"original_name": "Mark Harmon",
"popularity": 24.208,
"profile_path": "/jDRXlmBItH9IyXk9UhafpOSBIq7.jpg"
},
{
"adult": false,
"character": "Tony DiNozzo",
"credit_id": "525776cd760ee36aaa53040a",
"gender": 2,
"id": 122727,
"known_for_department": "Acting",
"name": "Michael Weatherly",
"order": 2,
"original_name": "Michael Weatherly",
"popularity": 17.413,
"profile_path": "/o4UqLl3mx7SvFhr9xrpFv7VLpCS.jpg"
},
{
"adult": false,
"character": "Caitlin Todd",
"credit_id": "5307f306c3a36842080012e2",
"gender": 1,
"id": 64154,
"known_for_department": "Acting",
"name": "Sasha Alexander",
"order": 7,
"original_name": "Sasha Alexander",
"popularity": 21.875,
"profile_path": "/2K3v9aG4JYJtsvZK6MeIhPU7t47.jpg"
},
{
"adult": false,
"character": "Dr. Donald 'Ducky' Mallard",
"credit_id": "525776cd760ee36aaa5304aa",
"gender": 2,
"id": 24813,
"known_for_department": "Acting",
"name": "David McCallum",
"order": 9,
"original_name": "David McCallum",
"popularity": 16.236,
"profile_path": "/blpEToArrhcrYdRlQU6fJckUcuG.jpg"
},
{
"adult": false,
"character": "Abby Sciuto",
"credit_id": "525776cd760ee36aaa53045a",
"gender": 1,
"id": 11680,
"known_for_department": "Acting",
"name": "Pauley Perrette",
"order": 10,
"original_name": "Pauley Perrette",
"popularity": 22.089,
"profile_path": "/xMZGzduDxRcamkUuirbfERzRzxK.jpg"
}
],
"crew": [
{
"adult": false,
"credit_id": "661764c27d41aa017d004784",
"department": "Visual Effects",
"gender": 2,
"id": 1622496,
"job": "Digital Compositor",
"known_for_department": "Visual Effects",
"name": "Craig Kuehne",
"original_name": "Craig Kuehne",
"popularity": 2.364,
"profile_path": "/qgMUhgcQbpR4UKdC93rtfqWRZMr.jpg"
},
{
"adult": false,
"credit_id": "525776ce760ee36aaa53074c",
"department": "Production",
"gender": 2,
"id": 1221018,
"job": "Producer",
"known_for_department": "Writing",
"name": "Shane Brennan",
"original_name": "Shane Brennan",
"popularity": 4.279,
"profile_path": "/beakIfOGT00FmdlfSbjR1iNIcRy.jpg"
},
{
"adult": false,
"credit_id": "635a75ea3c887d0091556a2a",
"department": "Production",
"gender": 2,
"id": 3759907,
"job": "Production Supervisor",
"known_for_department": "Production",
"name": "David Schiller",
"original_name": "David Schiller",
"popularity": 1.058,
"profile_path": null
},
{
"adult": false,
"credit_id": "635a7279894ed6007f58b45e",
"department": "Sound",
"gender": 2,
"id": 3759903,
"job": "Theme Song Performance",
"known_for_department": "Sound",
"name": "Maurice Jackson",
"original_name": "Maurice Jackson",
"popularity": 1.572,
"profile_path": null
},
{
"adult": false,
"credit_id": "635a55f38d2f8d007d26f002",
"department": "Production",
"gender": 1,
"id": 1045137,
"job": "Original Casting",
"known_for_department": "Production",
"name": "Susan Bluestein",
"original_name": "Susan Bluestein",
"popularity": 4.705,
"profile_path": "/dvnRCD7PQ5Sufbr1uumyaFztbNo.jpg"
},
{
"adult": false,
"credit_id": "635a72b12495ab007a210526",
"department": "Sound",
"gender": 2,
"id": 3759904,
"job": "Theme Song Performance",
"known_for_department": "Sound",
"name": "Matt Hawkins",
"original_name": "Matt Hawkins",
"popularity": 1.411,
"profile_path": null
},
{
"adult": false,
"credit_id": "635a6adb2d8ef3007c9db4d6",
"department": "Crew",
"gender": 2,
"id": 3759891,
"job": "Technical Advisor",
"known_for_department": "Crew",
"name": "Craig Harvey",
"original_name": "Craig Harvey",
"popularity": 1.582,
"profile_path": "/rza2bnmzCu0jKK8jwPCz45YmSlv.jpg"
},
{
"adult": false,
"credit_id": "635a743fb1f68d0082e3e396",
"department": "Sound",
"gender": 2,
"id": 3759905,
"job": "Theme Song Performance",
"known_for_department": "Sound",
"name": "Neil Martin",
"original_name": "Neil Martin",
"popularity": 1.531,
"profile_path": null
},
{
"adult": false,
"credit_id": "635a693ab1f68d0082e3df1e",
"department": "Crew",
"gender": 2,
"id": 2179758,
"job": "Technical Advisor",
"known_for_department": "Writing",
"name": "Leon Carroll Jr.",
"original_name": "Leon Carroll Jr.",
"popularity": 5.336,
"profile_path": "/1dzxcAKhl8muYzBoj0ulBVV9ynf.jpg"
},
{
"adult": false,
"credit_id": "635a620b894ed60091434560",
"department": "Costume & Make-Up",
"gender": 1,
"id": 3759853,
"job": "Hairstylist",
"known_for_department": "Costume & Make-Up",
"name": "Carla Dean",
"original_name": "Carla Dean",
"popularity": 1.752,
"profile_path": null
}
],
"id": 14073
}TV Seasons
Credits
This endpoint is used to get the credits of a TV season.
GET
/
3
/
tv
/
{series_id}
/
season
/
{season_number}
/
credits
Credits
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits?%7B%7Bkey%7D%7D=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits?%7B%7Bkey%7D%7D="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits?%7B%7Bkey%7D%7D=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/credits?%7B%7Bkey%7D%7D=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"cast": [
{
"adult": false,
"character": "Leroy Jethro Gibbs",
"credit_id": "525776cd760ee36aaa5303ba",
"gender": 2,
"id": 19728,
"known_for_department": "Acting",
"name": "Mark Harmon",
"order": 0,
"original_name": "Mark Harmon",
"popularity": 24.208,
"profile_path": "/jDRXlmBItH9IyXk9UhafpOSBIq7.jpg"
},
{
"adult": false,
"character": "Tony DiNozzo",
"credit_id": "525776cd760ee36aaa53040a",
"gender": 2,
"id": 122727,
"known_for_department": "Acting",
"name": "Michael Weatherly",
"order": 2,
"original_name": "Michael Weatherly",
"popularity": 17.413,
"profile_path": "/o4UqLl3mx7SvFhr9xrpFv7VLpCS.jpg"
},
{
"adult": false,
"character": "Caitlin Todd",
"credit_id": "5307f306c3a36842080012e2",
"gender": 1,
"id": 64154,
"known_for_department": "Acting",
"name": "Sasha Alexander",
"order": 7,
"original_name": "Sasha Alexander",
"popularity": 21.875,
"profile_path": "/2K3v9aG4JYJtsvZK6MeIhPU7t47.jpg"
},
{
"adult": false,
"character": "Dr. Donald 'Ducky' Mallard",
"credit_id": "525776cd760ee36aaa5304aa",
"gender": 2,
"id": 24813,
"known_for_department": "Acting",
"name": "David McCallum",
"order": 9,
"original_name": "David McCallum",
"popularity": 16.236,
"profile_path": "/blpEToArrhcrYdRlQU6fJckUcuG.jpg"
},
{
"adult": false,
"character": "Abby Sciuto",
"credit_id": "525776cd760ee36aaa53045a",
"gender": 1,
"id": 11680,
"known_for_department": "Acting",
"name": "Pauley Perrette",
"order": 10,
"original_name": "Pauley Perrette",
"popularity": 22.089,
"profile_path": "/xMZGzduDxRcamkUuirbfERzRzxK.jpg"
}
],
"crew": [
{
"adult": false,
"credit_id": "661764c27d41aa017d004784",
"department": "Visual Effects",
"gender": 2,
"id": 1622496,
"job": "Digital Compositor",
"known_for_department": "Visual Effects",
"name": "Craig Kuehne",
"original_name": "Craig Kuehne",
"popularity": 2.364,
"profile_path": "/qgMUhgcQbpR4UKdC93rtfqWRZMr.jpg"
},
{
"adult": false,
"credit_id": "525776ce760ee36aaa53074c",
"department": "Production",
"gender": 2,
"id": 1221018,
"job": "Producer",
"known_for_department": "Writing",
"name": "Shane Brennan",
"original_name": "Shane Brennan",
"popularity": 4.279,
"profile_path": "/beakIfOGT00FmdlfSbjR1iNIcRy.jpg"
},
{
"adult": false,
"credit_id": "635a75ea3c887d0091556a2a",
"department": "Production",
"gender": 2,
"id": 3759907,
"job": "Production Supervisor",
"known_for_department": "Production",
"name": "David Schiller",
"original_name": "David Schiller",
"popularity": 1.058,
"profile_path": null
},
{
"adult": false,
"credit_id": "635a7279894ed6007f58b45e",
"department": "Sound",
"gender": 2,
"id": 3759903,
"job": "Theme Song Performance",
"known_for_department": "Sound",
"name": "Maurice Jackson",
"original_name": "Maurice Jackson",
"popularity": 1.572,
"profile_path": null
},
{
"adult": false,
"credit_id": "635a55f38d2f8d007d26f002",
"department": "Production",
"gender": 1,
"id": 1045137,
"job": "Original Casting",
"known_for_department": "Production",
"name": "Susan Bluestein",
"original_name": "Susan Bluestein",
"popularity": 4.705,
"profile_path": "/dvnRCD7PQ5Sufbr1uumyaFztbNo.jpg"
},
{
"adult": false,
"credit_id": "635a72b12495ab007a210526",
"department": "Sound",
"gender": 2,
"id": 3759904,
"job": "Theme Song Performance",
"known_for_department": "Sound",
"name": "Matt Hawkins",
"original_name": "Matt Hawkins",
"popularity": 1.411,
"profile_path": null
},
{
"adult": false,
"credit_id": "635a6adb2d8ef3007c9db4d6",
"department": "Crew",
"gender": 2,
"id": 3759891,
"job": "Technical Advisor",
"known_for_department": "Crew",
"name": "Craig Harvey",
"original_name": "Craig Harvey",
"popularity": 1.582,
"profile_path": "/rza2bnmzCu0jKK8jwPCz45YmSlv.jpg"
},
{
"adult": false,
"credit_id": "635a743fb1f68d0082e3e396",
"department": "Sound",
"gender": 2,
"id": 3759905,
"job": "Theme Song Performance",
"known_for_department": "Sound",
"name": "Neil Martin",
"original_name": "Neil Martin",
"popularity": 1.531,
"profile_path": null
},
{
"adult": false,
"credit_id": "635a693ab1f68d0082e3df1e",
"department": "Crew",
"gender": 2,
"id": 2179758,
"job": "Technical Advisor",
"known_for_department": "Writing",
"name": "Leon Carroll Jr.",
"original_name": "Leon Carroll Jr.",
"popularity": 5.336,
"profile_path": "/1dzxcAKhl8muYzBoj0ulBVV9ynf.jpg"
},
{
"adult": false,
"credit_id": "635a620b894ed60091434560",
"department": "Costume & Make-Up",
"gender": 1,
"id": 3759853,
"job": "Hairstylist",
"known_for_department": "Costume & Make-Up",
"name": "Carla Dean",
"original_name": "Carla Dean",
"popularity": 1.752,
"profile_path": null
}
],
"id": 14073
}Authorizations
Path Parameters
integer
Example:
"4614"
integer
Example:
"1"
Response
200 - application/json
OK
Show child attributes
Show child attributes
Example:
[ { "adult": false, "character": "Leroy Jethro Gibbs", "credit_id": "525776cd760ee36aaa5303ba", "gender": 2, "id": 19728, "known_for_department": "Acting", "name": "Mark Harmon", "order": 0, "original_name": "Mark Harmon", "popularity": 24.208, "profile_path": "/jDRXlmBItH9IyXk9UhafpOSBIq7.jpg" }, { "adult": false, "character": "Tony DiNozzo", "credit_id": "525776cd760ee36aaa53040a", "gender": 2, "id": 122727, "known_for_department": "Acting", "name": "Michael Weatherly", "order": 2, "original_name": "Michael Weatherly", "popularity": 17.413, "profile_path": "/o4UqLl3mx7SvFhr9xrpFv7VLpCS.jpg" }, { "adult": false, "character": "Caitlin Todd", "credit_id": "5307f306c3a36842080012e2", "gender": 1, "id": 64154, "known_for_department": "Acting", "name": "Sasha Alexander", "order": 7, "original_name": "Sasha Alexander", "popularity": 21.875, "profile_path": "/2K3v9aG4JYJtsvZK6MeIhPU7t47.jpg" }, { "adult": false, "character": "Dr. Donald 'Ducky' Mallard", "credit_id": "525776cd760ee36aaa5304aa", "gender": 2, "id": 24813, "known_for_department": "Acting", "name": "David McCallum", "order": 9, "original_name": "David McCallum", "popularity": 16.236, "profile_path": "/blpEToArrhcrYdRlQU6fJckUcuG.jpg" }, { "adult": false, "character": "Abby Sciuto", "credit_id": "525776cd760ee36aaa53045a", "gender": 1, "id": 11680, "known_for_department": "Acting", "name": "Pauley Perrette", "order": 10, "original_name": "Pauley Perrette", "popularity": 22.089, "profile_path": "/xMZGzduDxRcamkUuirbfERzRzxK.jpg" } ]
Show child attributes
Show child attributes
Example:
[ { "adult": false, "credit_id": "661764c27d41aa017d004784", "department": "Visual Effects", "gender": 2, "id": 1622496, "job": "Digital Compositor", "known_for_department": "Visual Effects", "name": "Craig Kuehne", "original_name": "Craig Kuehne", "popularity": 2.364, "profile_path": "/qgMUhgcQbpR4UKdC93rtfqWRZMr.jpg" }, { "adult": false, "credit_id": "525776ce760ee36aaa53074c", "department": "Production", "gender": 2, "id": 1221018, "job": "Producer", "known_for_department": "Writing", "name": "Shane Brennan", "original_name": "Shane Brennan", "popularity": 4.279, "profile_path": "/beakIfOGT00FmdlfSbjR1iNIcRy.jpg" }, { "adult": false, "credit_id": "635a75ea3c887d0091556a2a", "department": "Production", "gender": 2, "id": 3759907, "job": "Production Supervisor", "known_for_department": "Production", "name": "David Schiller", "original_name": "David Schiller", "popularity": 1.058, "profile_path": null }, { "adult": false, "credit_id": "635a7279894ed6007f58b45e", "department": "Sound", "gender": 2, "id": 3759903, "job": "Theme Song Performance", "known_for_department": "Sound", "name": "Maurice Jackson", "original_name": "Maurice Jackson", "popularity": 1.572, "profile_path": null }, { "adult": false, "credit_id": "635a55f38d2f8d007d26f002", "department": "Production", "gender": 1, "id": 1045137, "job": "Original Casting", "known_for_department": "Production", "name": "Susan Bluestein", "original_name": "Susan Bluestein", "popularity": 4.705, "profile_path": "/dvnRCD7PQ5Sufbr1uumyaFztbNo.jpg" }, { "adult": false, "credit_id": "635a72b12495ab007a210526", "department": "Sound", "gender": 2, "id": 3759904, "job": "Theme Song Performance", "known_for_department": "Sound", "name": "Matt Hawkins", "original_name": "Matt Hawkins", "popularity": 1.411, "profile_path": null }, { "adult": false, "credit_id": "635a6adb2d8ef3007c9db4d6", "department": "Crew", "gender": 2, "id": 3759891, "job": "Technical Advisor", "known_for_department": "Crew", "name": "Craig Harvey", "original_name": "Craig Harvey", "popularity": 1.582, "profile_path": "/rza2bnmzCu0jKK8jwPCz45YmSlv.jpg" }, { "adult": false, "credit_id": "635a743fb1f68d0082e3e396", "department": "Sound", "gender": 2, "id": 3759905, "job": "Theme Song Performance", "known_for_department": "Sound", "name": "Neil Martin", "original_name": "Neil Martin", "popularity": 1.531, "profile_path": null }, { "adult": false, "credit_id": "635a693ab1f68d0082e3df1e", "department": "Crew", "gender": 2, "id": 2179758, "job": "Technical Advisor", "known_for_department": "Writing", "name": "Leon Carroll Jr.", "original_name": "Leon Carroll Jr.", "popularity": 5.336, "profile_path": "/1dzxcAKhl8muYzBoj0ulBVV9ynf.jpg" }, { "adult": false, "credit_id": "635a620b894ed60091434560", "department": "Costume & Make-Up", "gender": 1, "id": 3759853, "job": "Hairstylist", "known_for_department": "Costume & Make-Up", "name": "Carla Dean", "original_name": "Carla Dean", "popularity": 1.752, "profile_path": null } ]
Example:
14073
Was this page helpful?